module GiJob
  class InstallGenerator < ::Rails::Generators::Base
    # include ::Rails::Generators::Migration

    source_root File.expand_path('templates', __dir__)

    def create_schema_files
      src_dir_path = "schemas"
      target_dir_path = "db/schemas"
      file_names = [
        "gi_job_transactions.schema",
        "gi_job_logs.schema",
        "gi_job_files.schema",
      ]
      file_names.each do |file_name|
        copy_file("#{src_dir_path}/#{file_name}", "#{target_dir_path}/#{file_name}")
      end

      append_to_file("#{target_dir_path}/Schemafile", {verbose: false}) do
        file_names.map{|file_name| "require '#{file_name}'"}.join("\n") + "\n"
      end
    end

    def create_model_files
      src_dir_path = "models"
      target_dir_path = "app/models"
      file_names = [
        "gi_job_transaction.rb",
        "gi_job_log.rb",
        "gi_job_file.rb",
      ]
      file_names.each do |file_name|
        copy_file("#{src_dir_path}/#{file_name}", "#{target_dir_path}/#{file_name}")
      end
    end

    def create_app_files
      file_paths = [
        "uploaders/gi_log_file_carrier_wave_uploader.rb",
      ]
      file_paths.each do |file_path|
        copy_file("#{file_path}", "app/#{file_path}")
      end
    end

    private

  end
end
