# ## Schema Information
#
# Table name: `gi_job_logs`
#
# ### Columns
#
# Name                         | Type               | Attributes
# ---------------------------- | ------------------ | ---------------------------
# **`id`**                     | `bigint`           | `unsigned, not null, primary key`
# **`gi_job_transaction_id`**  | `bigint`           |
# **`level`**                  | `integer`          | `default("info"), not null`
# **`position`**               | `integer`          |
# **`division`**               | `string(255)`      |
# **`description`**            | `text(65535)`      |
# **`created_at`**             | `datetime`         | `not null`
# **`updated_at`**             | `datetime`         | `not null`
#
# ### Indexes
#
# * `gi_job_logs_ix1`:
#     * **`gi_job_transaction_id`**
#     * **`level`**
#     * **`division`**
# * `index_gi_job_logs_on_gi_job_transaction_id`:
#     * **`gi_job_transaction_id`**
#
class GiJobLog < ApplicationRecord
  include GiJob::Models::Concerns::GiJobLoggable
end
