# ## Schema Information
#
# Table name: `gi_job_transactions`
#
# ### Columns
#
# Name                    | Type               | Attributes
# ----------------------- | ------------------ | ---------------------------
# **`id`**                | `bigint`           | `unsigned, not null, primary key`
# **`owner_id`**          | `bigint`           |
# **`owner_type`**        | `string(255)`      |
# **`name`**              | `string(255)`      | `default("-"), not null`
# **`status`**            | `integer`          | `default("registerd"), not null`
# **`counts_all`**        | `integer`          |
# **`counts_progress`**   | `integer`          |
# **`counts_completed`**  | `integer`          |
# **`counts_errord`**     | `integer`          |
# **`command`**           | `integer`          | `default("none"), not null`
# **`parameter`**         | `text(65535)`      |
# **`process_id`**        | `string(255)`      |
# **`process_status`**    | `integer`          | `default("none"), not null`
# **`process_progress`**  | `text(65535)`      |
# **`created_at`**        | `datetime`         | `not null`
# **`updated_at`**        | `datetime`         | `not null`
#
# ### Indexes
#
# * `gi_job_transactions_ix1`:
#     * **`owner_id`**
#     * **`owner_type`**
#     * **`name`**
#     * **`status`**
# * `index_gi_job_transactions_on_owner_type_and_owner_id`:
#     * **`owner_type`**
#     * **`owner_id`**
#
class GiJobTransaction < ApplicationRecord
  include GiJob::Models::Concerns::GiJobTransactionable
end
